Skip to main content

List Group Members (V2)

Lists the members of a SCIM group.

GET/v2/groups/{groupId}/members
Connection Endpoint

The base URL for this API is in the following format:

https://api.cloud.zilliz.com

📘Notes

The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.

shell
export BASE_URL="https://api.cloud.zilliz.com"
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges.

Example Value: Bearer {{TOKEN}}
groupIdstringpathrequired

The SCIM group ID.

Example Value: g-xxxxxxxxxxxxxx
currentPageintegerquery

The page number to return. The first page is 1.

Example Value: 1
pageSizeintegerquery

The number of items to return per page.

Example Value: 10
bash
export TOKEN="YOUR_API_KEY"
export groupId="g-xxxxxxxxxxxxxx"

curl --request GET \
--url "${BASE_URL}/v2/groups/${groupId}/members" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
Responses

Returns a successful result or an error message.

A successful response.

codeintegerrequired

The response code.

Example Value: 0
dataobjectrequired
countintegerrequired

The total number of matching items.

currentPageintegerrequired

The current page number.

Value Range: ≥ 1
pageSizeintegerrequired

The requested page size.

Value Range: ≥ 1
membersarrayrequired

The members returned on this page.

[]membersobjectrequired
usernamestringrequired

The member display name.

emailstring<email>required

The member email address.

A failure response.

codeintegerrequired

The response code.

messagestringrequired

The error message.

Successjson
{
"code": 0,
"data": {
"count": 12,
"currentPage": 1,
"pageSize": 10,
"members": [
{
"username": "Alice",
"email": "alice@example.com"
},
{
"username": "Bob",
"email": "bob@example.com"
}
]
}
}
Ctrl I